Bug 852688 - libvirt should check the range of cpuset
libvirt should check the range of cpuset
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 06:17 EDT by hongming
Modified: 2016-04-26 17:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 18:37:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-08-29 06:17:35 EDT
Description of problem:
When the cpuset is out of range , the guest still can be successfully started . libvirt should check the range of cpuset when editing xml or starting guest.


Version-Release number of selected component (if applicable):
libvirt-0.10.0-0rc1.el6.x86_64
qemu-kvm-0.12.1.2-2.295.el6.x86_64


How reproducible:
100% 


Steps to Reproduce:

1.# virsh nodeinfo
CPU model:           x86_64
CPU(s):              4
CPU frequency:       1600 MHz
CPU socket(s):       1
Core(s) per socket:  4
Thread(s) per core:  1
NUMA cell(s):        1
Memory size:         7946252 KiB


2.
# virsh edit rhel6.2
......
<vcpu placement='static' cpuset='0-8,^5'>5</vcpu>
......

 
Domain rhel6.2 XML configuration edited.
 

3.# virsh start rhel6.2
Domain rhel6.2 started


4.# virsh dumpxml rhel6.2
......
<vcpu placement='static' cpuset='0-4,6-8'>5</vcpu>
......

  
Actual results:
When the cpuset is out of range , the guest still can be successfully started .


Expected results:
libvirt should check the range of cpuset when editing xml or starting guest. 

Additional info:
Comment 5 Cole Robinson 2016-03-23 18:37:20 EDT
Reporter is gone, and this bug is minor, so just closing

Note You need to log in before you can comment on or make changes to this bug.